Bug 108248 - [CI][SHARDS] igt@gem_cpu_reloc@full - timeout
Summary: [CI][SHARDS] igt@gem_cpu_reloc@full - timeout
Status: CLOSED FIXED
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: XOrg git
Hardware: Other All
: medium normal
Assignee: Intel GFX Bugs mailing list
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard: ReadyForDev
Keywords:
Depends on:
Blocks:
 
Reported: 2018-10-05 09:30 UTC by Martin Peres
Modified: 2019-03-06 18:27 UTC (History)
2 users (show)

See Also:
i915 platform: BYT, SKL
i915 features: GEM/Other


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Peres 2018-10-05 09:30:03 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4670/shard-skl5/igt@gem_cpu_reloc@full.html

<6> [268.912955] Console: switching to colour dummy device 80x25
<6> [268.913347] [IGT] gem_cpu_reloc: executing
<6> [268.973867] [IGT] gem_cpu_reloc: starting subtest full
<6> [269.038498] gem_cpu_reloc (1080): drop_caches: 4
<7> [270.556355] [drm:edp_panel_vdd_off_sync [i915]] Turning eDP port A VDD off
<7> [270.556776] [drm:edp_panel_vdd_off_sync [i915]] PP_STATUS: 0x80000008 PP_CONTROL: 0x00000007
<7> [270.557244] [drm:intel_power_well_disable [i915]] disabling DC off
<7> [270.557511] [drm:gen9_dc_off_power_well_disable [i915]] Enabling DC6
<7> [270.557833] [drm:gen9_set_dc_state [i915]] Setting DC state from 00 to 02
<7> [271.379765] [drm:intel_power_well_enable [i915]] enabling DC off
<7> [271.380210] [drm:gen9_set_dc_state [i915]] Setting DC state from 02 to 00
<6> [490.336766] kworker/dying (44) used greatest stack depth: 11912 bytes left
<7> [851.842930] [drm:intel_power_well_disable [i915]] disabling DC off
<7> [851.843113] [drm:gen9_dc_off_power_well_disable [i915]] Enabling DC6
<7> [851.843274] [drm:gen9_set_dc_state [i915]] Setting DC state from 00 to 02
<6> [851.876897] Console: switching to colour frame buffer device 300x100

Looks similar to https://bugs.freedesktop.org/show_bug.cgi?id=108073
Comment 1 Chris Wilson 2018-10-05 09:35:57 UTC
Here, the runner timedout (but where's my stacktrace?!!!). Previous runs took 210-220s, a sudden jump to 600s with no errors... Funky chromebook bios?
Comment 2 Martin Peres 2018-10-15 14:07:47 UTC
Also seen on another chromebook: https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_126/fi-byt-clapper/igt@gem_cpu_reloc@full.html
Comment 3 CI Bug Log 2019-01-09 17:51:09 UTC
A CI Bug Log filter associated to this bug has been updated:

{- BYT SKL: igt@gem_cpu_reloc@full - timeout -}
{+ BYT SKL: igt@gem_cpu_reloc@full - timeout/incomplete +}

New failures caught by the filter:

* https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5381/shard-skl4/igt@gem_cpu_reloc@full.html
Comment 4 Chris Wilson 2019-01-16 15:00:25 UTC
commit a76fa4d02cc806e30ed72ba1b8233c694ab1727b (upstream/master, origin/master, origin/HEAD)
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Mon Jan 14 09:37:27 2019 +0000

    i915/gem_cpu_reloc: Use a self-modifying chained batch
    
    Use another sensitive CPU reloc to emit a chained batch from inside the
    updated buffer to reduce the workload on slow machines to fit within the
    CI timeout.
    
    References: https://bugs.freedesktop.org/show_bug.cgi?id=108248
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>
    Reviewed-by: Mika Kuoppala <mika.kuoppala@linux.intel.com>
Comment 5 Martin Peres 2019-03-06 18:27:05 UTC
(In reply to Chris Wilson from comment #4)
> commit a76fa4d02cc806e30ed72ba1b8233c694ab1727b (upstream/master,
> origin/master, origin/HEAD)
> Author: Chris Wilson <chris@chris-wilson.co.uk>
> Date:   Mon Jan 14 09:37:27 2019 +0000
> 
>     i915/gem_cpu_reloc: Use a self-modifying chained batch
>     
>     Use another sensitive CPU reloc to emit a chained batch from inside the
>     updated buffer to reduce the workload on slow machines to fit within the
>     CI timeout.
>     
>     References: https://bugs.freedesktop.org/show_bug.cgi?id=108248
>     Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>
>     Reviewed-by: Mika Kuoppala <mika.kuoppala@linux.intel.com>

The failure used to be seen at least every drmtip runs, but nothing for over 40 runs. Let's call it fixed! Thanks!
Comment 6 CI Bug Log 2019-03-06 18:27:15 UTC
The CI Bug Log issue associated to this bug has been archived.

New failures matching the above filters will not be associated to this bug anymore.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.